libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
gprs_ns_inst Struct Reference

An instance of the NS protocol stack. More...

`#include <gprs_ns.h>`

## Data Fields
gprs_ns_cb_t * | cb
| callback to the user for incoming UNIT DATA IND More...
struct llist_head | gprs_nsvcs
| linked lists of all NSVC in this instance More...
struct gprs_nsvc * | unknown_nsvc
| a NSVC object that's needed to deal with packets for unknown NSVC More...
uint16_t | timeout [NS_TIMERS_COUNT]
struct {
struct osmo_fd fd
uint32_t local_ip
uint16_t local_port
uint32_t remote_ip
uint16_t remote_port
int dscp
bool use_reset_block_unblock
| IPA compatibility: NS-RESET/BLOCK/UNBLOCK even on IP-SNS. More...
} | nsip
| NS-over-IP specific bits. More...
struct {
struct osmo_fd fd
uint32_t local_ip
unsigned int enabled:1
} | frgre
| NS-over-FR-over-GRE-over-IP specific bits. More...
struct osmo_fsm_inst * | bss_sns_fi

## Detailed Description

An instance of the NS protocol stack.

## Field Documentation

## ◆ bss_sns_fi

struct osmo_fsm_inst* gprs_ns_inst::bss_sns_fi

Referenced by DEFUN(), gprs_ns_nsip_connect_sns(), gprs_ns_process_msg(), gprs_ns_rx_sns(), gprs_ns_timer_cb(), gprs_ns_tx_sns_ack(), gprs_ns_tx_sns_config(), gprs_ns_tx_sns_config_ack(), gprs_ns_tx_sns_size(), gprs_ns_tx_sns_size_ack(), gprs_nsvc_create2(), gprs_nsvc_create_ip4(), gprs_sns_bss_fsm_start(), and gprs_sns_dump_vty().

## ◆ cb

gprs_ns_cb_t* gprs_ns_inst::cb

callback to the user for incoming UNIT DATA IND

Referenced by gprs_ns_instantiate(), and gprs_ns_rx_unitdata().

## ◆ dscp

int gprs_ns_inst::dscp

Referenced by config_write_ns(), DEFUN(), and gprs_ns_nsip_listen().

## ◆ enabled

unsigned int gprs_ns_inst::enabled

Referenced by config_write_ns(), DEFUN(), dump_ns(), and gprs_ns_frgre_listen().

## ◆ fd

struct osmo_fd gprs_ns_inst::fd

Referenced by gprs_ns_close(), gprs_ns_frgre_listen(), gprs_ns_frgre_sendmsg(), gprs_ns_nsip_listen(), handle_rx_gre_ipv4(), and nsip_sendmsg().

## ◆

struct { ... } gprs_ns_inst::frgre

NS-over-FR-over-GRE-over-IP specific bits.

Referenced by config_write_ns(), DEFUN(), dump_ns(), gprs_ns_frgre_listen(), gprs_ns_frgre_sendmsg(), and handle_rx_gre_ipv4().

## ◆ gprs_nsvcs

struct llist_head gprs_ns_inst::gprs_nsvcs

linked lists of all NSVC in this instance

Referenced by config_write_ns(), dump_ns(), gprs_active_nsvc_by_nsei(), gprs_ns_close(), gprs_ns_instantiate(), gprs_nsvc_by_nsei(), gprs_nsvc_by_nsvci(), gprs_nsvc_by_rem_addr(), gprs_nsvc_create2(), and gprs_start_alive_all_nsvcs().

## ◆ local_ip

uint32_t gprs_ns_inst::local_ip

Referenced by config_write_ns(), DEFUN(), dump_ns(), gprs_ns_frgre_listen(), gprs_ns_nsip_listen(), and gprs_sns_bss_fsm_alloc().

## ◆ local_port

uint16_t gprs_ns_inst::local_port

Referenced by config_write_ns(), DEFUN(), dump_ns(), dump_nse(), gprs_ns_nsip_listen(), and gprs_sns_bss_fsm_alloc().

## ◆

struct { ... } gprs_ns_inst::nsip

NS-over-IP specific bits.

Referenced by config_write_ns(), DEFUN(), dump_ns(), dump_nse(), gprs_ns_close(), gprs_ns_instantiate(), gprs_ns_nsip_listen(), gprs_ns_timer_cb(), gprs_nsvc_create2(), gprs_sns_bss_fsm_alloc(), and nsip_sendmsg().

## ◆ remote_ip

uint32_t gprs_ns_inst::remote_ip

Referenced by gprs_ns_nsip_listen().

## ◆ remote_port

uint16_t gprs_ns_inst::remote_port

Referenced by gprs_ns_nsip_listen().

## ◆ timeout

uint16_t gprs_ns_inst::timeout[NS_TIMERS_COUNT]

Referenced by config_write_ns(), DEFUN(), gprs_ns_instantiate(), gprs_ns_timer_cb(), gprs_sns_fsm_bss_timer_cb(), gprs_sns_st_size(), gprs_sns_st_unconfigured(), and nsvc_start_timer().

## ◆ unknown_nsvc

struct gprs_nsvc* gprs_ns_inst::unknown_nsvc

a NSVC object that's needed to deal with packets for unknown NSVC

Referenced by dump_ns(), gprs_ns_close(), gprs_ns_instantiate(), and gprs_ns_rcvmsg().

## ◆ use_reset_block_unblock

bool gprs_ns_inst::use_reset_block_unblock

IPA compatibility: NS-RESET/BLOCK/UNBLOCK even on IP-SNS.

Referenced by config_write_ns(), DEFUN(), gprs_ns_instantiate(), gprs_ns_timer_cb(), and gprs_nsvc_create2().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_ns.h